﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd
DATE:                  2010-08-24 14:39:38
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       205
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS1000  Series
#          TDS 1001, TDS 1002, TDS 1012
#        TDS2000 Series
#          TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022, TDS 2024
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek TDS1000/2000 Select Channel IEEE

  1.003  IF           @Chan == 1
  1.004  RSLT         =
  1.005  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.006  ENDIF

  1.007  RSLT         =
  1.008  RSLT         =Channel [V @Chan]

  1.009  IF           @Bandwidth == 40E+6
  1.010  MATH         FreqMHz = "40  MHz"
  1.011  ELSEIF       @Bandwidth == 60E+6
  1.012  MATH         FreqMHz = "60 MHz"
  1.013  ELSEIF       @Bandwidth >= 100E+6
  1.014  MATH         FreqMHz = "100 MHz"
  1.015  ENDIF

  1.016  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])
  1.017  TARGET
  1.018  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  1.019  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.020  DISP         Connect the CH 1 Active Head to the input of a 2 way
  1.020  DISP         power splitter via a BNC(f) to SMA(m) adapter.
  1.020  DISP
  1.020  DISP         Connect one output of power splitter to UUT CH [V @Chan]
  1.020  DISP         via SMA(f) to SMA(f) and SMA(m) to BNC(f) adapters, a
  1.020  DISP         BNC(m)-(m) cable and a 50 ohm feed through terminator.
  1.020  DISP
  1.020  DISP         Connect the other output of the power splitter to UUT
  1.020  DISP         EXT TRIG via SMA(f) to SMA(f) and SMA(m) to BNC(f)
  1.020  DISP         adapters, a BNC(m)-(m) cable and a 50 ohm feed through
  1.020  DISP         terminator.

  1.021  IEEE2        CH[V @Chan]:PRO 1;SCA 100E-3
  1.022  IEEE2        HOR:SCA 10E-9
  1.023  IEEE2        TRIG:MAI:MOD NORM
  1.024  IEEE2        TRIG:MAI:EDGE:SOU EXT
  1.025  IEEE2        ACQ:MOD SAMP;STATE ON
  1.026  IEEE2        MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV, for the reason of using power splitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 800 mV.
  1.027  MATH         MEM = 400; MEM1 = 800

  1.028  DO
  1.029  MATH         MEM = MEM1 + (800 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.030  IF           MEM > 5560 || MEM < 4.44
  1.031  MATH         MEM = 800
  1.032  ENDIF

  1.033  9500         mVpp                         10MH           LS    S  L
  1.034  IEEE2        TRIG:MAI SETL
  1.035  IEEE2        [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.036  MATH         MEM = MEM / 1E-3
  1.037  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp that is just the required test signal for external
# trig sensitivity.
  1.038  MATH         MEM = MEM1 / 2

  1.039  IF           @Bandwidth == 40E+6
  1.040  9500         mVpp                         40MH           LS    S  L
  1.041  ELSEIF       @Bandwidth == 60E+6
  1.042  9500         mVpp                         60MH           LS    S  L
  1.043  ELSEIF       @Bandwidth >= 100E+6
  1.044  9500         mVpp                         100MH          LS    S  L
  1.045  ENDIF

  1.046  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.047  MATH         @PeakValue = mVppStd / 4 * 1E-3
  1.048  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
  1.049  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.050  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 40E+6
  2.004  9500         mVpp                         40MH           LS    S  L
  2.005  ELSEIF       @Bandwidth == 60E+6
  2.006  9500         mVpp                         60MH           LS    S  L
  2.007  ELSEIF       @Bandwidth >= 100E+6
  2.008  9500         mVpp                         100MH          LS    S  L
  2.009  ENDIF

  2.010  IEEE2        TRIG:MAI:EDGE:SLO FALL
  2.011  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
  2.012  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.013  EVAL   -e @Triggered : [V RsltStr]

  3.001  IEEE2        TRIG:MAI:EDGE:SLO RISE

# For UUT whose bandwidth is 200 MHz do additional test.
  3.002  IF           @Bandwidth == 200E+6
  3.003  HEAD         -2 Rising Slope at 200 MHz, 350 mVpp
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 700 mV, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 1400 mV.
  3.004  MATH         MEM = 700; MEM1 = 1400

  3.005  DO
  3.006  MATH         MEM = MEM1 + (1400 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.007  IF           MEM > 5560 || MEM < 4.44
  3.008  MATH         MEM = 1400
  3.009  ENDIF

  3.010  9500         mVpp                         200MH          LS    S  L
  3.011  IEEE2        [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  3.012  MATH         MEM = MEM / 1E-3
  3.013  UNTIL        (MEM >= 680) && (MEM <= 720)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 350 mVpp that is just the required test signal for external
# trig sensitivity.
  3.014  MATH         MEM = MEM1 / 2
  3.015  9500         mVpp                         200MH          LS    S  L
  3.016  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  3.017  MATH         @PeakValue = mVppStd / 4 * 1E-3
  3.018  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
  3.019  MATH         RsltStr = " Rising Slope at 200 MHz, 350 mVpp"
  3.020  EVAL   -e @Triggered : [V RsltStr]

  4.001  HEAD         -2 Falling Slope at 200 MHz, 350 mVpp
  4.002  MATH         MEM = mVppStd
  4.003  9500         mVpp                         200MH          LS    S  L
  4.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
  4.005  CALL         Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
  4.006  MATH         RsltStr = " Falling Slope at 200 MHz, 350 mVpp"
  4.007  EVAL   -e @Triggered : [V RsltStr]

  5.001  IEEE2        TRIG:MAI:EDGE:SLO RISE
  5.002  ENDIF

  5.003  HEAD         -2
  5.004  HEAD
  5.005  9500         *                                                 S
  5.006  END
