﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2012: (1 year) VER IEEE /9500+3Hd
DATE:                  2010-08-10 11:48:00
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       196
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2012
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Self-Test IEEE
#        Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
#        Sub Tek TDS1000/2000 Select Channel IEEE
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  ENDIF

  1.009  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.010  ASK+           K

  1.011  IF           NOT(VERSIONCHECK("7.20Z"))
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Verification Method (No NTHROW)

  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         COMMUNICATION SETUP
  1.021  TARGET
  1.022  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.023  JMPL         END                          @Abort
  1.024  IEEE2        *RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.027  MATH         @UUT_Model = "TDS 2012"
  1.028  MATH         @UUT_Manufacturer = "Tektronix"
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.030  JMPL         END                          @Abort

  1.031  CALL         Sub Tek TDS1000/2000 Specifications

  1.032  MATH         @NumHeads = 3
  1.033  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.034  JMPL         END                          @Abort

  1.035  CALL         Sub Tek TDS1000/2000 Self-Test IEEE
  1.036  JMPL         END                          @Abort
  1.037  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
  1.038  JMPL         END                          @Abort

# Specify channel to test.
  1.039  MATH         @Chan = 1
  1.040  M9500                       CH1
  1.041  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.042  MATH         @Chan = 2
  1.043  M9500                       CH2
  1.044  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS IEEE /9500

  1.045  MATH         @Chan = 1
  1.046  M9500                       CH1
  1.047  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.048  MATH         @Chan = 2
  1.049  M9500                       CH2
  1.050  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH IEEE /9500

  1.051  MATH         @Chan = 1
  1.052  M9500                       CH1
  1.053  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.054  MATH         @Chan = 2
  1.055  M9500                       CH2
  1.056  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS IEEE /9500

  1.057  IF           @UsingPowerSplitter
  1.058  MATH         @Chan = 1
  1.059  M9500                       CH1
  1.060  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.061  MATH         @Chan = 2
  1.062  M9500                       CH1
  1.063  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+1Hd

  1.064  ELSE
  1.065  MATH         @Chan = 1
  1.066  M9500                       CH13
  1.067  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd

  1.068  MATH         @Chan = 2
  1.069  M9500                       CH23
  1.070  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens IEEE /9500+2Hd
  1.071  ENDIF

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate IEEE /9500

  1.075  LABEL        END

  1.076  IF           @Abort
  1.077  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.078  ELSE
  1.079  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.080  ENDIF

  1.081  IEEE2        *RST
  1.082  END
